Index: Testing/Regression/Unit/Controls/CONTROL.test
===================================================================
--- Testing/Regression/Unit/Controls/CONTROL.test	(revision be6c0a2a4151437fa6e0d2b1b393ceb038f1386a)
+++ Testing/Regression/Unit/Controls/CONTROL.test	(revision 80281769fb906cbf4c8c64994964373c213ce779)
@@ -1,14 +1,23 @@
-DTIME 3
-TYPE AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC
-TIME 00 00 00 00 00 00 06 00 00 00 00 00 12 12 12 12 12 12 18 12 12 12 12 12
-STEP 00 01 02 03 04 05 00 07 08 09 10 11 00 01 02 03 04 05 00 07 08 09 10 11
-CLASS EI
+START_DATE 20180809
+DTIME 1
+TYPE AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN
+TIME 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23
+STEP 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
+ACCTYPE FC
+ACCTIME 06/18
+ACCMAXSTEP 12
+CLASS EA
 STREAM OPER
-EXPVER 1
-GRID 5000  
-LEFT -10000
-LOWER 30000
-UPPER 40000
-RIGHT 10000
-LEVELIST 59/to/60
-RESOL 63
+GRID 0.28125  
+LEFT -24.
+LOWER 9.875
+UPPER 74.
+RIGHT 60.375
+LEVELIST 1/to/137
+RESOL 799
+ETA 1
+FORMAT GRIB2
+PREFIX EA
+CWC 1
+RRINT 1
+ECTRANS 1
Index: Testing/Regression/Unit/InstallTar/mk_install_tar.sh
===================================================================
--- Testing/Regression/Unit/InstallTar/mk_install_tar.sh	(revision be6c0a2a4151437fa6e0d2b1b393ceb038f1386a)
+++ Testing/Regression/Unit/InstallTar/mk_install_tar.sh	(revision 80281769fb906cbf4c8c64994964373c213ce779)
@@ -11,5 +11,5 @@
 path=../../
 
-tarname='flex_extract_v7.1_local.tar'
+tarname='flex_extract_v7.1.2_local.tar'
 pwd
 tar -zcvf ../../Testing/Regression/Unit/InstallTar/$tarname  \
@@ -21,16 +21,13 @@
         ${path}Source/Fortran/*.h \
         ${path}Source/Fortran/makefile* \
-        ${path}Templates/convert.nl \
-        ${path}Templates/*.temp \
-        ${path}Templates/ecmwf_grib1_table_128 \
+        ${path}Templates/* \
         ${path}Run/run_local.sh \
         ${path}Run/Control/CONTROL* \
-        --exclude=${path}Run/Control/Testgrid \
-        --exclude=${path}Run/Control/notPublic \
-        ${path}Run/Jobscripts \
-        ${path}LICENSE.md \
-        ${path}CODE_OF_CONDUCT.md \
-        ${path}README.md  \
-        ${path}Testing/* \
+        ${path}Run/Jobscripts/*.md \
+        ${path}*.md \
+        ${path}Testing/Installation/*.sh \
+	${path}Testing/Installation/Api_testscripts/* \
+	${path}Testing/Installation/Calc_etadot/* \
+	${path}Testing/Installation/First_extraction/* \
         --exclude=*.ksh  \
         --exclude=flex_extract_v7.1_*.tar
@@ -38,5 +35,5 @@
                   
                   
-tarname='flex_extract_v7.1_ecgate.tar'
+tarname='flex_extract_v7.1.2_ecgate.tar'
 
 tar -zcvf ../../Testing/Regression/Unit/InstallTar/$tarname \
@@ -48,17 +45,16 @@
         ${path}Source/Fortran/*.h \
         ${path}Source/Fortran/makefile* \
-        ${path}Templates/convert.nl \
-        ${path}Templates/*.temp \
-        ${path}Templates/ecmwf_grib1_table_128 \
+        ${path}Templates/* \
         ${path}Run/ECMWF_ENV \
         ${path}Run/run.sh \
         ${path}Run/Control/CONTROL* \
-        --exclude=${path}Run/Control/Testgrid \
-        --exclude=${path}Run/Control/notPublic \
-        ${path}Run/Jobscripts \
+        ${path}Run/Jobscripts/*.md \
         ${path}LICENSE.md \
         ${path}CODE_OF_CONDUCT.md \
         ${path}README.md \
-        ${path}Testing/* \
+        ${path}Testing/Installation/*.sh \
+	${path}Testing/Installation/Api_testscripts/* \
+	${path}Testing/Installation/Calc_etadot/* \
+	${path}Testing/Installation/First_extraction/* \
         --exclude=*.ksh  \
         --exclude=flex_extract_v7.1_*.tar
Index: Testing/Regression/Unit/Testfiles/compilejob.test
===================================================================
--- Testing/Regression/Unit/Testfiles/compilejob.test	(revision be6c0a2a4151437fa6e0d2b1b393ceb038f1386a)
+++ Testing/Regression/Unit/Testfiles/compilejob.test	(revision 80281769fb906cbf4c8c64994964373c213ce779)
@@ -25,12 +25,11 @@
 
 set -x
-export VERSION=7.1
+export VERSION=7.1.2
 case ${HOST} in
   *ecg*)
   module unload grib_api
-  module unload eccodes
+  module unload emos
+  module load python3
   module load eccodes
-  module load python
-  module unload emos
   module load emos/455-r64
   export FLEXPART_ROOT_SCRIPTS=fp_root_test_path
@@ -39,7 +38,7 @@
   *cca*)
   module switch PrgEnv-cray PrgEnv-intel
+  module load python3
   module load eccodes
-  module load emos
-  module load python
+  module load emos/455-r64
   echo ${GROUP}
   echo ${HOME}
@@ -55,9 +54,9 @@
 cd ${FLEXPART_ROOT_SCRIPTS}/flex_extract_v${VERSION}   # if FLEXPART_ROOT is not set this means cd to the home directory
 tar -xvf ${HOME}/flex_extract_v${VERSION}.tar
-cd source/fortran
-\rm *.o *.mod CONVERT2 
+cd Source/Fortran
+\rm *.o *.mod calc_etadot 
 make -f ${MAKEFILE} >flexcompile 2>flexcompile
 
-ls -l CONVERT2 >>flexcompile
+ls -l calc_etadot >>flexcompile
 if [ $? -eq 0 ]; then
   echo 'SUCCESS!' >>flexcompile
Index: Testing/Regression/Unit/Testfiles/job.temp.test
===================================================================
--- Testing/Regression/Unit/Testfiles/job.temp.test	(revision be6c0a2a4151437fa6e0d2b1b393ceb038f1386a)
+++ 	(revision )
@@ -1,77 +1,0 @@
-#!/bin/ksh
-
-# ON ECGB:
-# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
-# start with sbatch NAME_OF_THIS_FILE directly on machine
-
-#SBATCH --workdir=/scratch/ms/testgroup/testuser
-#SBATCH --qos=normal
-#SBATCH --job-name=flex_ecmwf
-#SBATCH --output=flex_ecmwf.%j.out
-#SBATCH --error=flex_ecmwf.%j.out
-#SBATCH --mail-type=FAIL
-#SBATCH --time=12:00:00
-
-## CRAY specific batch requests
-##PBS -N flex_ecmwf
-##PBS -q np
-##PBS -S /usr/bin/ksh
-## -o /scratch/ms/testgroup/testuser/flex_ecmwf.${PBS_JOBID}.out
-## job output is in .ecaccess_DO_NOT_REMOVE
-##PBS -j oe
-##PBS -V
-##PBS -l EC_threads_per_task=24
-##PBS -l EC_memory_per_task=32000MB
-
-set -x
-export VERSION=7.1
-case ${HOST} in
-  *ecg*)
-  module load python
-  module unload grib_api
-  module unload eccodes
-  module load eccodes
-  module unload emos
-  module load emos/455-r64
-  export PATH=${PATH}:fp_root_test_path/flex_extract_v7.1/source/python
-  ;;
-  *cca*)
-  module switch PrgEnv-cray PrgEnv-intel
-  module load eccodes
-  module load emos
-  module load python
-  export SCRATCH=${TMPDIR}
-  export PATH=${PATH}:fp_root_test_path/flex_extract_v7.1/source/python
-  ;;
-esac
-
-cd ${SCRATCH}
-mkdir -p python$$
-cd python$$
-
-export CONTROL=CONTROL
-
-cat >${CONTROL}<<EOF
-EOF
-
-
-submit.py --controlfile=${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
-
-if [ $? -eq 0 ] ; then
-  l=0
-  for muser in `grep -i MAILOPS ${CONTROL}`; do
-      if [ ${l} -gt 0 ] ; then 
-         mail -s flex.${HOST}.$$ ${muser} <prot
-      fi
-      l=$((${l}+1))
-  done
-else
-  l=0
-  for muser in `grep -i MAILFAIL ${CONTROL}`; do
-      if [ ${l} -gt 0 ] ; then 
-         mail -s "ERROR! flex.${HOST}.$$" ${muser} <prot
-      fi
-      l=$((${l}+1))
-  done
-fi
-
Index: Testing/Regression/Unit/Testfiles/submitscript.template.test
===================================================================
--- Testing/Regression/Unit/Testfiles/submitscript.template.test	(revision None)
+++ Testing/Regression/Unit/Testfiles/submitscript.template.test	(revision None)
@@ -0,0 +1,77 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/testgroup/testuser
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q np
+##PBS -S /usr/bin/ksh
+## -o /scratch/ms/testgroup/testuser/flex_ecmwf.$${PBS_JOBID}.out
+## job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=24
+##PBS -l EC_memory_per_task=32000MB
+
+set -x
+export VERSION=7.1.2
+case $${HOST} in
+  *ecg*)
+  module unload grib_api
+  module unload emos
+  module load python3
+  module load eccodes
+  module load emos/455-r64
+  export PATH=$${PATH}:fp_root_test_path/flex_extract_v7.1.2/Source/Python
+  ;;
+  *cca*)
+  module switch PrgEnv-cray PrgEnv-intel
+  module load python3
+  module load eccodes
+  module load emos/455-r64
+  export SCRATCH=$${TMPDIR}
+  export PATH=$${PATH}:fp_root_test_path/flex_extract_v7.1.2/Source/Python
+  ;;
+esac
+
+cd $${SCRATCH}
+mkdir -p extract$$$$
+cd extract$$$$
+
+export CONTROL=CONTROL
+
+cat >$${CONTROL}<<EOF
+$control_content
+EOF
+
+
+submit.py --controlfile=$${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
+
+if [ $? -eq 0 ] ; then
+  l=0
+  for muser in `grep -i MAILOPS $${CONTROL}`; do
+      if [ $${l} -gt 0 ] ; then 
+         mail -s flex.$${HOST}.$$$$ $${muser} <prot
+      fi
+      l=$(($${l}+1))
+  done
+else
+  l=0
+  for muser in `grep -i MAILFAIL $${CONTROL}`; do
+      if [ $${l} -gt 0 ] ; then 
+         mail -s "ERROR! flex.$${HOST}.$$$$" $${muser} <prot
+      fi
+      l=$(($${l}+1))
+  done
+fi
+
